#ifndef __IRawSocket_h__
#define __IRawSocket_h__

class ConstSimpleData;

class IRawSocket
{
public:
	class IRawDataHandler
	{
	public:
		virtual void handleData( const ConstSimpleData &data, struct sockaddr_in &sourceAddress ) = 0;

		virtual ~IRawDataHandler() {}
	};

	virtual ~IRawSocket() {}
};

#endif // __IRawSocket_h__

//
// Local Variables:
// compile-command: "make -C .. "
// tags-file-name: "../TAGS"
// c-basic-offset: 4
// End:
//
